package com.spring.data.instructions.mysql;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;

import javax.persistence.*;

/**
 * 表名及表结构定义
 *
 * @author horizonliu
 * @date 2019/1/9 9:41 PM
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "person")
@ConditionalOnBean(EnableMysqlConfig.class)
public class Records {
    /**
     * 声明主键，自动增长
     */
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @Column(name = "name", length = 20)
    private String name;

    @Column
    private Integer age;
}
